Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	alt11_21
Summary:	Samba client Perl module

License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Filesys-SmbClient
Source0:	https://cpan.metacpan.org/authors/id/A/AL/ALIAN/Filesys-SmbClient-%{version}.tar.gz
# Patch Makefile.PL to
# * Disable tests (requires Samba server access)
# * Know where to search includes (/usr/include/samba-4.0)
Patch0:		Filesys-SmbClient-3.2_Makefile.patch


BuildRequires:  gcc
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	libsmbclient-devel




Source44: import.info

%description
Perl module that provides interface to Samba smbclient routines. It gives Perl
programmers a way to access Samb/CIFS servers natively.


%prep
%setup -q -n Filesys-SmbClient-%{version}
%patch0 -p0
chmod -x Changes
find . -name "*.pm" -exec chmod -c a-x {} +
find . -name "libauthSamba*" -exec chmod -c a-x {} +
find . -name "SmbClient.xs" -exec chmod -c a-x {} +


%build
# Force Makefile to use defaults
export PERL_MM_USE_DEFAULT=1
# HOSTTYPE is not exported by default, hence not readable by Perl
# Needed to be able to find libsmbclient.so in /usr/lib64
export HOSTTYPE
# CCFLAGS: Tell samba to use close_fn not close (caused compilation error)
perl Makefile.PL INSTALLDIRS=vendor CCFLAGS='-DHAVE_CLOSEFN' OPTIMIZE="%{optflags}"
%make_build


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*


%files
%doc Changes README COPYING
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Filesys*


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt11_21
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt10_21
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.2-alt9_21
- rebuild with perl 5.30

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.2-alt8_21
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.2-alt8_20
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 3.2-alt8_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.2-alt8_18
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt8_17
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt7_17
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.2-alt6_17
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 3.2-alt6_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.2-alt6_15
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 3.2-alt6_14
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 3.2-alt5_14
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 3.2-alt5_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.2-alt5_11
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt5_10
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 3.2-alt4_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.2-alt4_9
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt4_8
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 3.2-alt3_8
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt3_6
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 3.2-alt2_6
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 3.2-alt2_5
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 3.2-alt2_4
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt2_3
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_3
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_2
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_1
- initial fc import

